<app-header></app-header>

<section class="form-post">

  <form [formGroup]="FG" (ngSubmit)="save()">
    <div class="container">
      <h1>{{ (!FG.controls.title.value || FG.controls.title.value.length == 0) ? 'Novo post' : FG.controls.title.value}}</h1>
      <div class="row">
        <div class="col-lg-8">

          <div class="box-input">
            <mat-form-field class="w-100">
              <mat-label>Título</mat-label>
              <input type="tel" matInput placeholder="Digite aqui..." formControlName="title">
              <mat-icon matPrefix>edit</mat-icon>
              <mat-error>Campo obrigatório com até 255 caracteres</mat-error>
            </mat-form-field>
          </div>
          <div class="box-input">
            <mat-form-field class="w-100">
              <mat-label>Uri</mat-label>
              <input type="tel" matInput placeholder="ex: digite-url-do-site" formControlName="uri">
              <mat-icon matPrefix>edit</mat-icon>
              <mat-error>Campo obrigatório com até 255 caracteres</mat-error>
            </mat-form-field>

          </div>
          <div class="box-input">
            <mat-form-field class="w-100">
              <mat-label>Descrição</mat-label>
              <textarea matInput placeholder="Escreva aqui sua descrição" formControlName="description"></textarea>
              <mat-icon matPrefix>edit</mat-icon>
              <mat-error>Campo de conter até 255 caracteres</mat-error>
            </mat-form-field>
          </div>


        </div>
        <div class="col-lg-4">
          <div class="thumb">
            <div class="bg-in">
              <mat-icon class="icon-bg" matPrefix>image</mat-icon>
              <input type="file" class="d-none" (change)="upload($event)" #fileInput>
              <button type="button" class="edit" mat-fab color="primary" aria-label="Adicionar novo" (click)="openFile()">
                <mat-icon>{{imageSelected ? 'edit' : 'add'}}</mat-icon>
              </button>
            </div>

            <img *ngIf="imageSelected" src="{{  urlImages +imageSelected}}" alt="">
          </div>
        </div>
        <div class="col-lg-12 mt-3">
          <ckeditor [editor]="Editor" data="<p>Hello, world!</p>" formControlName="text"></ckeditor>
        </div>
      </div>
    </div>

    <button class="floating-buttons save" mat-fab color="primary" aria-label="Adicionar novo" [disabled]="FG.invalid">
      <mat-icon>save</mat-icon>
    </button>

  </form>
</section>
